###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define   php_extension rrdtool

%define php_version             %get_version php-devel
%define php_release             %get_release php-devel
%define php_serial              %get_serial php-devel

###############################################################

%define package_version %php_version

Name: php-%php_extension
Version: %php_version
Release: %php_release
Group: System/Servers
License: GPL

Source0: %name.tgz
Source1: %php_extension.ini

Patch0: %name-1.2.10-alt-fix.patch

PreReq: php-libs = %php_version-%php_release
Requires: librrd

Summary: RRDtool library support for PHP4
%add_serial php-devel

# Automatically added by buildreq on Sun Apr 18 2004
BuildRequires: gcc-c++ librrd-devel libstdc++-devel php-devel

%description
The php-%php_extension includes a dynamic shared object (DSO) that adds
RRDtool support to PHP4. Install this package in addition to main PHP
package if you plan to use RRD.


%prep
%setup -q -n %name
%patch0 -p1

%build
phpize
%configure --with-rrd
%php_make top_srcdir=%_builddir/%name top_builddir=%_builddir/%name

%install
%php_make install top_srcdir=%_builddir/%name top_builddir=%_builddir/%name

%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config

%post
%php_extension_postin

%preun
%php_extension_preun

%files
%php_extconf/%php_extension
%php_extdir/*
%doc INSTALL README USAGE


%changelog
* Fri May 18 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.7-alt1
- rebuild with latest PHP

* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 1:4.4.6-alt2
- rebuild with latest PHP

* Sat Sep 30 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.4-alt2
- rebuild with latest PHP
- fix PreReq

* Sun Sep 10 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.4-alt1
- rebuild with latest PHP

* Sun Dec 11 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.2-alt0.cvs20051121.1
- rebuild with latest PHP

* Thu Nov 10 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20051010
- rebuild with latest PHP

* Tue Oct 18 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20050729.1
- spec cleanup

* Fri Sep 16 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.4.1-alt0.cvs20050729
- rebuild with latest RRDtool and latest PHP

* Tue Dec 21 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.11-alt0.cvs20041217
- rebuild with new PHP

* Sat Aug 14 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- rebuild with new PHP
- fix spec for automatic rebuild with new version of PHP

* Wed Jun 02 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- rebuild with new PHP

* Wed May 26 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- rebuild with new PHP

* Sun Apr 18 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1:4.3.5-alt0.cvs20040130
- build for ALT Linux
